Examplary
Start for free
Developer docs

Send exam with an app

POSThttps://api.examplary.ai/exams/{id}/export/apps/{appId}/{exportOptionId}

Start sending an exam with an app's export option. Returns the id of the job that runs the export; its result holds the resultUrl where the exam ended up.

Path parameters

idstringrequired
appIdstringrequired
exportOptionIdstringrequired

Request body

optionsobject· default: {}

Responses

200 — The export job was started.

400 — Invalid options, or the app is not connected.

404 — Unknown exam, app or export option.

429 — Rate limit exceeded

502 — The app could not provide its options.

Requirements

Rate limit

30 requests per minute per user.

User roles

This endpoint requires the teacher, admin, or owner role to be present.

OAuth scopes

This endpoint requires the exams:read scope to be present.